Subject: snmpconf RE: Why rfc2668/MAU-MIB refuses import InterfaceIndex TC

From: Dan Romascanu <[email-masked]>
Date: Mon, 17 Apr 2000 09:35:52 +0200

> Mike,
Thanks for the observation. I think this was an editorial omission which can
be fixed in a future spin. The editor probably focussed on the technical
changes and we all missed this one (including the WG chair and the technical
advisor). I agree that it would be a good thing that the BCP document in
snmpconf add the recommendation of re-using existing TCs with similar
semantics, and MIB editors should thrive towards implementing this
recommendation.

Regards,

Dan

> -----Original Message-----
> From:	Mike MacFaden [SMTP:[email-masked]]
> Sent:	Sun April 16 2000 22:01
> To:	[email-masked]; [email-masked]
> Cc:	[email-masked]
> Subject:	Why rfc2668/MAU-MIB refuses import InterfaceIndex TC
> 
> 
> 
> Hello,
> 
> Why wasn't the mau mib upgraded to import InterfaceIndex TC from rfc
> 2233 as was done to the EtherLike-MIB?
> 
> This object originally from rfc 2239:
>       ifMauIfIndex OBJECT-TYPE
>           SYNTAX      Integer32 (1..2147483647)
>           MAX-ACCESS  read-only
>           STATUS      current
>           DESCRIPTION "This variable uniquely identifies the interface
>                       to which the MAU described by this entry is
>                       connected."
>           REFERENCE   "RFC 1213, ifIndex"
>           ::= { ifMauEntry 1 }
> 
> could have been fixed in rfc 2668 as:
> 
>      IMPORT ...
>      InterfaceIndex FROM IF-MIB;
>      ...
>      ifMauIfIndex OBJECT-TYPE
>           SYNTAX      IntefaceIndex
>           MAX-ACCESS  read-only
>           STATUS      current
>           DESCRIPTION "This variable uniquely identifies the interface
>                       to which the MAU described by this entry is
>                       connected."
>           ::= { ifMauEntry 1 }
> 
> EtherLike-MIB followed this tack from rfc1643:
> 
>   ifIndex, transmission  FROM RFC1213-MIB
> 
> to 2358/2665:
> 
>   ifIndex, InterfaceIndex FROM IF-MIB;
> 
> The Best Current Practices/SNMPCONF wg document should say something
> about using existing TCs for a given well known semantic
> *if it exists* and explain how to fall back to using a weaker reference
> (a base type and a REFERENCE clause) under certain conditions.
> 
> I'm sure there are such cases as this where it is best not to and
> the IETF standards process does warp MIB documents in unique ways
> but after looking at the evolution of EtherLike-MIB vs MAU-MIB I'm
> unclear as to what happened here. 
> 
> 
> Thanks in Advance,
> Mike MacFaden
> Riverstone Networks, Inc
>